Skip to main content
PATCH
/
leads
/
{id}
Update a lead
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/leads/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "lead": {
    "name": "Eve",
    "status": "open",
    "company_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "contact_id": 1,
    "owner_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "tag_ids": [
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ]
  }
}
'
{
  "lead": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve",
    "status": "open",
    "unique_number": "L-001",
    "email": "eve@example.com",
    "phone_number": "",
    "contact_name": "Eve",
    "contact_id": null,
    "company_name": null,
    "company_id": null,
    "owner": null,
    "tags": [],
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z"
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the lead to update. You can get the lead id by listing all leads using our List all leads API.

Body

application/json
lead
object

Response

200 - application/json

Lead updated successfully.

lead
object